'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var reactSyntaxHighlighter = require('react-syntax-highlighter');
var syntaxTheme = _interopDefault(require('react-syntax-highlighter/dist/cjs/styles/prism/vsc-dark-plus'));
var PropTypes = _interopDefault(require('prop-types'));
var GrayMatter = _interopDefault(require('gray-matter'));
var ReactMarkdown = _interopDefault(require('react-markdown'));

var CodeBlocks = function CodeBlocks(props) {
  var value = props.value,
      language = props.language;
  return React__default.createElement(reactSyntaxHighlighter.Prism, {
    language: language,
    style: syntaxTheme
  }, value);
};

CodeBlocks.propTypes = {
  value: PropTypes.string.isRequired,
  language: PropTypes.string
};

var RenderMarkdown = function RenderMarkdown(props) {
  var code = props.code;

  var _React$useState = React.useState(''),
      mdContent = _React$useState[0],
      setMdContent = _React$useState[1];

  React.useEffect(function () {
    var mdData = GrayMatter(code);
    setMdContent(mdData.content);
  }, [code]);
  return React.createElement(React.Fragment, null, mdContent.split('').length > 0 ? React.createElement(ReactMarkdown, {
    source: mdContent,
    renderers: {
      code: CodeBlocks
    }
  }) : React.createElement("p", null, "Nothing here yet."));
};
RenderMarkdown.propTypes = {
  code: PropTypes.string.isRequired
};

exports.RenderMarkdown = RenderMarkdown;
//# sourceMappingURL=use-syntaxer.cjs.development.js.map
