import React__default, { useState, useEffect, createElement, Fragment } from 'react';
import { Prism } from 'react-syntax-highlighter';
import syntaxTheme from 'react-syntax-highlighter/dist/cjs/styles/prism/vsc-dark-plus';
import PropTypes from 'prop-types';
import GrayMatter from 'gray-matter';
import ReactMarkdown from 'react-markdown';

var CodeBlocks = function CodeBlocks(props) {
  var value = props.value,
      language = props.language;
  return React__default.createElement(Prism, {
    language: language,
    style: syntaxTheme
  }, value);
};

CodeBlocks.propTypes = {
  value: PropTypes.string.isRequired,
  language: PropTypes.string
};

var RenderMarkdown = function RenderMarkdown(props) {
  var code = props.code;

  var _React$useState = useState(''),
      mdContent = _React$useState[0],
      setMdContent = _React$useState[1];

  useEffect(function () {
    var mdData = GrayMatter(code);
    setMdContent(mdData.content);
  }, [code]);
  return createElement(Fragment, null, mdContent.split('').length > 0 ? createElement(ReactMarkdown, {
    source: mdContent,
    renderers: {
      code: CodeBlocks
    }
  }) : createElement("p", null, "Nothing here yet."));
};
RenderMarkdown.propTypes = {
  code: PropTypes.string.isRequired
};

export { RenderMarkdown };
//# sourceMappingURL=use-syntaxer.esm.js.map
